package com.isu.gaswellwatch.controller;


import com.isu.gaswellwatch.entity.Response;
import com.isu.gaswellwatch.service.SummaryService;
import com.isu.gaswellwatch.vo.summary.PieSummaryVO;
import jakarta.annotation.Resource;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;


@RestController
@RequestMapping("summary")
public class SummaryController {


    @Resource
    private SummaryService summaryService;

    @GetMapping("/getIndexPieSummary")
    public Response<List<PieSummaryVO>> getIndexPieSummary() {
        return Response.succeed(this.summaryService.getIndexPieSummary());
    }

}

